Package org.apache.sling.resourceresolver.impl.console

# Class ResourceResolverWebConsolePlugin

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.resourceresolver.impl.console.ResourceResolverWebConsolePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class ResourceResolverWebConsolePlugin extends javax.servlet.http.HttpServlet

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceResolverWebConsolePlugin(org.osgi.framework.BundleContext context, org.apache.sling.resourceresolver.impl.CommonResourceResolverFactoryImpl resolverFactory, org.apache.sling.api.resource.runtime.RuntimeService runtimeService)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void`
`doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void`
`printConfiguration(PrintWriter pw)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceResolverWebConsolePlugin

public ResourceResolverWebConsolePlugin(org.osgi.framework.BundleContext context, org.apache.sling.resourceresolver.impl.CommonResourceResolverFactoryImpl resolverFactory, org.apache.sling.api.resource.runtime.RuntimeService runtimeService)

## Method Details

### dispose

public void dispose()

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### doPost

protected void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### printConfiguration

public void printConfiguration(PrintWriter pw)